package com.yizhi.library.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.library.application.domain.Favorite;
import com.yizhi.library.application.vo.FavoriteVO;

/**
 * <p>
 * 收藏记录表 服务类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-12
 */
public interface IFavoriteService extends IService<Favorite> {

    /**
     * 学习案例收藏
     * @param studentCaseId
     * @return
     */
    boolean favorite(Long studentCaseId);

    /**
     * 学习案例取消收藏
     * @param studentCaseId
     * @return
     */
    boolean cancelFavorite(Long studentCaseId);

    /**
     * 学习案例是否收藏
     * @param studentCaseId
     * @return
     */
    boolean favoriteStudentCase(Long studentCaseId);

    Page<FavoriteVO> getFavoriteList(Integer pageNo, Integer pageSize);
}
